<?php
/**
* Content code
* @package Adeptus Up
* @Copyright (C) 2009 Adeptus
* @ All rights reserved
* @version 1.0
*/
defined('_JEXEC') or die( 'Restricted access' );
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );
$moduleclass_sfx = $params->get( 'moduleclass_sfx', '' );
$lines = $params->get('lines',100);
$bott = $params->get('bott',15);
$right = $params->get('right',15);
$jquery = $params->get( 'jquery',1);
$title = $params->get( 'title');
$img_path = JURI::base().'/modules/mod_up/images';
if($jquery)
{
?>
<script src="<?php echo $mosConfig_live_site;?>/modules/mod_up/js/jquery.js" type="text/javascript"></script>
<?php
}
?>
<script type="text/javascript">
jQuery.noConflict();
var scrolltotop={
	setting: {startline:<?php echo $lines;?>, scrollduration:500, fadeduration:[500, 100]},
	controlHTML: '<img src="<?php echo $img_path;?>/up.png" style="width:60px; height:59px" />',
	controlattrs: {offsetx:<?php echo $right;?>, offsety:<?php echo $bott;?>},
	anchorkeyword: '#atop',
	state: {isvisible:false, shouldvisible:false},
	scrollup:function(){
		if (!this.cssfixedsupport)
			this.$control.css({opacity:0})
		this.$body.animate({scrollTop: 0}, this.setting.scrollduration);
	},
	keepfixed:function(){
		var $window=jQuery(window)
		var controlx=$window.scrollLeft() + $window.width() - this.$control.width() - this.controlattrs.offsetx
		var controly=$window.scrollTop() + $window.height() - this.$control.height() - this.controlattrs.offsety
		this.$control.css({left:controlx+'px', top:controly+'px'})
	},
	togglecontrol:function(){
		var scrolltop=jQuery(window).scrollTop()
		if (!this.cssfixedsupport) this.keepfixed()
		this.state.shouldvisible=(scrolltop>=this.setting.startline)? true : false
		if (this.state.shouldvisible && !this.state.isvisible){
			this.$control.stop().animate({opacity:1}, this.setting.fadeduration[0])
			this.state.isvisible=true
		}
		else if (this.state.shouldvisible==false && this.state.isvisible){
			this.$control.stop().animate({opacity:0}, this.setting.fadeduration[1])
			this.state.isvisible=false
		}
	},
	init:function(){
		jQuery(document).ready(function($){
			var mainobj=scrolltotop
			var iebrws=document.all
			mainobj.cssfixedsupport=!iebrws || iebrws && document.compatMode=="CSS1Compat" && window.XMLHttpRequest
			mainobj.$body=jQuery('html,body')
			mainobj.$control=jQuery('<div id="topcontrol">'+mainobj.controlHTML+'</div>')
				.css({position:mainobj.cssfixedsupport? 'fixed' : 'absolute', bottom:mainobj.controlattrs.offsety, right:mainobj.controlattrs.offsetx, opacity:0, cursor:'pointer'})
				.attr({title:'<?php echo $title;?>'})
				.click(function(){mainobj.scrollup(); return false})
				.appendTo('body')
			if (document.all && !window.XMLHttpRequest && mainobj.$control.text()!='')
				mainobj.$control.css({width:mainobj.$control.width()})
			mainobj.togglecontrol()
			jQuery('a[href="' + mainobj.anchorkeyword +'"]').click(function(){
				mainobj.scrollup()
				return false
			})
			jQuery(window).bind('scroll resize', function(e){
				mainobj.togglecontrol()
			})
		})
	}
}
scrolltotop.init()
</script>